/* Copyright (C) 2024 GSI Helmholtzzentrum fuer Schwerionenforschung, Darmstadt
   SPDX-License-Identifier: GPL-3.0-only
   Authors: Sergei Zharko [committer] */

/// @file   KfGeoLayer.cxx
/// @brief  A logical layer of the KF-setup (implementation)
/// @since  18.07.2024
/// @author Sergei Zharko <s.zharko@gsi.de>

#include "KfGeoLayer.h"

using cbm::algo::kf::GeoLayer;

// ---------------------------------------------------------------------------------------------------------------------
//
GeoLayer::GeoLayer(kf::MaterialMap&& materialMap) : fMaterialMap(std::move(materialMap)) {}

// ---------------------------------------------------------------------------------------------------------------------
//
std::string GeoLayer::ToString(int verbose)
{
  if (verbose < 1) {
    return std::string{};
  }

  // TODO: SZh. 19.07.2024: Implement
  std::stringstream msg;
  msg << "";
  return msg.str();
}
